# 17. Kysely: hae "SoilDatasets"

Hanki kaikki "SoilDatasets" valitulle "Field"-alueelle. Datasetit voidaan noutaa yleisillä GraphQL-kyselyillä kuten `getFarms` ja `getFields` liitetyltä "Field"-alueelta.&#x20;

{% hint style="warning" %}
"SoilDataset" on ladattava etukäteen.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #malli "<OperationType> <YYYY-mm-DD>"
        operationId #jos olemassa
        number #geopiirteiden kokonaismäärä
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #täydelliset tiedot per attribuutti
          name #linkki tilastoon >> attribuutti
          transliteratedName
          fullName #jos olemassa
          unit #jos olemassa
        }

        createdDate #entiteetin luontiaika GeoPardissa
        updatedDate #viimeisin päivitysaika
        operationType
        operationId
        operationFileDate #tiedoston luontiaika
        operationStartDate #toiminnon alkamisaika
        
        statistics { #tilastojakauma jokaista maaperäattribuuttia varten
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoKartat {
          url
          lyhytNimi
          hexVärikoodit
          luokat
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nimi  
        operationId #jos olemassa 
        number #geopiirteiden kokonaismäärä 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #linkki tilastoon >> attribuutti
          transliteratedName
          fullName #jos olemassa
          unit #jos olemassa
        }
      
        createdDate #luontiaika GeoPardissa
        updatedDate #viimeisin päivitysaika GeoPardissa
        operationFileDate #tiedoston luontiaika (jos olemassa)
        operationStartDate #toiminnon alkamisaika (jos olemassa)
      
        statistics { #tilastollinen jakauma jokaista maaperäattribuuttia varten
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visuaalinen esitys
          url
          lyhytNimi
          hexVärikoodit
          luokat
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/17.-kysely-hae-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
